[OPENIDM-2586] Default ldap provisioner config used in Admin UI based on wrong version Created: 20/Nov/14  Updated: 02/Dec/14  Resolved: 02/Dec/14

Status: Closed
Project: OpenIDM
Component/s: Module - Web UI
Affects Version/s: OpenIDM 3.1.0
Fix Version/s: OpenIDM 3.1.0

Type: Bug Priority: Major
Reporter: Jake Feasel Assignee: Jake Feasel
Resolution: Fixed Votes: 0
Labels: not-for-release-notes
Remaining Estimate: Not Specified
Time Spent: Not Specified
Original Estimate: Not Specified


 Description   

The LDAP connector setup form in the Admin UI allows users to pick from predefined ldap configurations. The options presented do not work, however, because the versions that they have embedded within them do not match the version of the ldap connector that we are shipping.



 Comments   
Comment by Laurent Bristiel [X] (Inactive) [ 21/Nov/14 ]

Provisioners file seem to work fine from the UI now.
But I re-open this issue, because I think we are not OK with what the provisioner.openicf-adldsldap.json contains. In the file I find:
"host" : "ec2-54-204-152-236.compute-1.amazonaws.com",
"principal" : "CN=Nicolas Philippe,OU=Users,OU=BigCo,DC=goldengate,DC=com",

=> I don't think we want to deliver a file with this. Let's put some dummy values instead.

Comment by Jake Feasel [ 21/Nov/14 ]

Those details have been removed from the AD LDS config (CR-5395 - r4376)

Comment by Laurent Bristiel [X] (Inactive) [ 21/Nov/14 ]

checked OK

Generated at Tue May 11 08:04:14 UTC 2021 using Jira 8.16.0#816000-sha1:a455b91378454416b49bbc88d03e653cb9815ed5.